import * as sfn from '@aws-cdk/aws-stepfunctions';
/**
 * Properties for EmrCancelStep
 *
 * @experimental
 */
export interface EmrCancelStepProps {
    /**
     * The ClusterId to update.
     */
    readonly clusterId: string;
    /**
     * The StepId to cancel.
     */
    readonly stepId: string;
}
/**
 * A Step Functions Task to to cancel a Step on an EMR Cluster.
 *
 * @experimental
 */
export declare class EmrCancelStep implements sfn.IStepFunctionsTask {
    private readonly props;
    constructor(props: EmrCancelStepProps);
    bind(_task: sfn.Task): sfn.StepFunctionsTaskConfig;
}
