import * as sfn from '@aws-cdk/aws-stepfunctions';
/**
 * Properties for EmrSetClusterTerminationProtection
 *
 * @experimental
 */
export interface EmrSetClusterTerminationProtectionProps {
    /**
     * The ClusterId to update.
     */
    readonly clusterId: string;
    /**
     * Termination protection indicator.
     */
    readonly terminationProtected: boolean;
}
/**
 * A Step Functions Task to to set Termination Protection on an EMR Cluster.
 *
 * @experimental
 */
export declare class EmrSetClusterTerminationProtection implements sfn.IStepFunctionsTask {
    private readonly props;
    constructor(props: EmrSetClusterTerminationProtectionProps);
    bind(_task: sfn.Task): sfn.StepFunctionsTaskConfig;
}
